import React from 'react';

import { Description, Props, Title } from '@storybook/addon-docs/blocks';


import DsBlueBox from './blueBox';

export default {
  title: 'Components/Box',
  component: DsBlueBox,
  parameters: {
    docs: {
      page: () => 
        <>
          <Title />
          <Description>Building block of layouts. Creates a box-model context</Description>
          <Props of={DsBlueBox} />
        </>
    }
  }
};

export const Basic = (args: any) => <DsBlueBox {...args} />;

export const Primary = () => 
  <DsBlueBox>
    <h1>
      This is a box
    </h1>
  </DsBlueBox>
;
